  
#include <tiny2313.h>
#include <delay.h>
#include <stdio.h>

// объявляем два массива, звёздочка будет означать конец слова
char mas1[10] = "terminal*", mas2[11] = "terminal*"; 
char k;


// внешняя функция сравнения двух массивов, до значения конца слова
// функция принимает два массива размерности n и m 
void comparator (int n, char a[n], int m, char b[m])
{
 int i = 0;
 k = 1;  
 while (a[i] != '*' && b[i] != '*')
  {
   if (a[i] != b[i])
    {   
     k = 0;
     break;
    }
   i++;
  }   
}

 
void main(void)
{
   
#pragma optsize-
CLKPR=0x80;
CLKPR=0x00;
#ifdef _OPTIMIZE_SIZE_
#pragma optsize+
#endif

  USICR=0x00;
  UCSRA=0x00;
  UCSRB=0x18;
  UCSRC=0x06;
  UBRRH=0x00;
  UBRRL=0x19; //19200

  comparator (10, mas1, 11, mas2);
  putchar(k+48); 
  delay_ms(200);
  
}


